pnp4nagios install problems

An open discussion forum for obtaining help with Nagios Core. Nagios Core users of all experience levels are welcome here. Subforum have been created for the discussion of Nagios Core and Nagios Plugin development.

NOTE: The SourceForge.net mailing lists have been deprecated in favor of this forum in order to expedite support and provide additional features not available on the old mailing list.

pnp4nagios install problems

Postby mitchsmith » Mon Jul 11, 2011 8:07 am

Hi,

I am trying to install pnp4nagios, I am having some issues at the initial install test screen displayed when i navigate to the url myurl.com/pnp4nagios.

I see the install test screen with multpile errors. The Errors I see are:
1. PHP GD extension PHP GD extension not available
2. PHP zlib extension PHP zlib extension not available
3. PHP magic_quotes_gpc PHP magic_quotes_gpc is deprecated
4. PHP socket extension PHP socket extension not available

All of these are errors relating to my PHP installation.
I have installed php-5.2.17, compiled from source.

Issue 1: I have tried installing the gd package (gd-2.0.33.tar.gz) from source separately, and recompiling php with the --with-gd option set
Issue 2: I have tried installing the zli package (zlib-1.2.5.tar.gz) from source separately, and recompiling php the --with-zlib-dir option set pointing to my zlib installation
Issue 3: The documentation states that this error can be resolved by setting:
Code: Select all
magic_quotes_gpc = Off

in php.ini.... this is the default setting in my PHP.ini so I am confused as to why I get this error.
Issue 4: I have no idea of how to address this issue.

Someone please help me,

Mitchell
mitchsmith
 
Posts: 33
Joined: Mon Apr 04, 2011 7:26 am

Re: pnp4nagios install problems

Postby mguthrie » Mon Jul 11, 2011 8:01 pm

What distribution are you installing on?
mguthrie
 
Posts: 4384
Joined: Mon Jun 14, 2010 10:21 am

Re: pnp4nagios install problems

Postby mitchsmith » Tue Jul 12, 2011 5:51 am

hi,

I am on:
Nagios® Core Version 3.2.3

Apache2 - Version httpd-2.2.17 Compiled from Source
PHP - Version php-5.2.17 Compiled from Source.
Linux Centos 5.5

I have resolve issues 1, 2, and 3 - By Installing the php libraries libgd and zlib from source, then recompiling php with the command:
Code: Select all
./configure --prefix=/usr/local/php --with-zlib-dir=/usr/local/php/zlib --with-gd=/usr/local/php/libgd --with-apxs2=/usr/local/apache2/bin/apxs


The only issue I am still to resolve is the PHP socket extension PHP socket extension not available issue. Unfortunately the link provided to documentation for this error forward to a 'This topic does not exist yet' faq page (http://docs.pnp4nagios.org/faq/i11)

Mitchell
mitchsmith
 
Posts: 33
Joined: Mon Apr 04, 2011 7:26 am

Re: pnp4nagios install problems

Postby mitchsmith » Tue Jul 12, 2011 6:49 am

Ahh

OK Issue 4 resolved

I needed to compile PHP with sockets enabled.

Code: Select all
./configure --prefix=/usr/local/php --with-zlib-dir=/usr/local/php/zlib --with-gd=/usr/local/php/libgd --with-apxs2=/usr/local/apache2/bin/apxs --enable-sockets


Now all Install Tests Pass :D
mitchsmith
 
Posts: 33
Joined: Mon Apr 04, 2011 7:26 am

Re: pnp4nagios install problems

Postby mguthrie » Wed Jul 13, 2011 9:42 am

Good deal!
mguthrie
 
Posts: 4384
Joined: Mon Jun 14, 2010 10:21 am


Return to Nagios Core

Who is online

Users browsing this forum: Fess [Nagios Bot] and 13 guests